## org.mortbay.util
Class Loader

    java.lang.Object
      |
      +--org.mortbay.util.Loader

public class Loader
extends java.lang.Object

ClassLoader Helper. This helper class allows classes to be loaded either from the Thread's ContextClassLoader, the classloader of the derived class or the system ClassLoader. Usage:

     public class MyClass {
         void myMethod() {
              ...
              Class c=Loader.loadClass(this.getClass(),classname);
              ...
         }

Version:
  $Id: Loader.java,v 1.2 2002/12/07 23:52:03 bretts Exp $
Author:
  Greg Wilkins (gregw)

Constructor Summary
`Loader()`

Method Summary
`static java.lang.Class` `loadClass(java.lang.Class loadClass, java.lang.String name)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Loader

    public Loader()

Method Detail

### loadClass

    public static java.lang.Class loadClass(java.lang.Class loadClass,
                                            java.lang.String name)
                                     throws java.lang.ClassNotFoundException

    `java.lang.ClassNotFoundException`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.